org.ajax4jsf.renderkit

## Class AjaxCommandRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.ajax4jsf.renderkit.AjaxCommandRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    AjaxFunctionRendererBase, AjaxPollRenderer, AjaxPushRenderer, AjaxSupportRenderer, CommandButtonRenderer, CommandLinkRenderer

      public abstract class AjaxCommandRendererBase
      extends org.ajax4jsf.renderkit.AjaxComponentRendererBase

  Version:
    $Revision: 1.1.2.3 $ $Date: 2007/02/12 17:46:53 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxCommandRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `getOnClick(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `getType(javax.faces.component.UIComponent uiComponent)`
    `java.lang.Object` | `getValue(javax.faces.component.UIComponent uiComponent)`
    `protected boolean` | `isSubmitted(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts, getScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### AjaxCommandRendererBase

          public AjaxCommandRendererBase()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext facesContext,
                      javax.faces.component.UIComponent uiComponent)

      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getOnClick

          public java.lang.String getOnClick(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### getValue

          public java.lang.Object getValue(javax.faces.component.UIComponent uiComponent)

    - #### getType

          public java.lang.String getType(javax.faces.component.UIComponent uiComponent)

    - #### isSubmitted

          protected boolean isSubmitted(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)

Copyright © 2014. All Rights Reserved.